Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageBlockReader Class Reference

`#include <vtkImageBlockReader.h>`

Inheritance diagram for vtkImageBlockReader:

[legend]
Collaboration diagram for vtkImageBlockReader:

[legend]
List of all members.

## Detailed Description

Breaks up image into blocks and save in files.

Date:
  2002/01/22 15:34:32

Revision:
  1.16

Experimenting with different file formats. This one saves an image in multiple files. I am allowing overlap between file for efficiency.

See also:
  vtkImageBlockReader.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (89%)
  - Schroeder, Will (8%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkImageBlockReader.h)`
  - .`cxx` (`/Parallel/vtkImageBlockReader.cxx)`

Definition at line 46 of file vtkImageBlockReader.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetDivisions (int, int, int)
virtual void | SetDivisions (int[3])
virtual int * | GetDivisions ()
virtual void | GetDivisions (int &, int &, int &)
virtual void | GetDivisions (int[3])
virtual void | SetOverlap (int)
virtual int | GetOverlap ()
virtual void | SetWholeExtent (int, int, int, int, int, int)
virtual void | SetWholeExtent (int[6])
virtual int * | GetWholeExtent ()
virtual void | GetWholeExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetWholeExtent (int[6])
virtual void | SetNumberOfScalarComponents (int)
virtual int | GetNumberOfScalarComponents ()
virtual void | SetScalarType (int)
virtual int | GetScalarType ()
virtual void | SetFilePattern (const char *)
virtual char * | GetFilePattern ()
## Static Public Methods
vtkImageBlockReader * | New ()
int | IsTypeOf (const char *type)
vtkImageBlockReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageBlockReader ()
| ~vtkImageBlockReader ()
void | ComputeBlockExtents ()
void | DeleteBlockExtents ()
void | Read (vtkImageData *data, int *ext)
void | ReadRemainder (vtkImageData *data, int *ext, int *doneExt)
void | ReadBlock (int xIdx, int yIdx, int zIdx, vtkImageData *data, int *ext)
void | ModifyOutputUpdateExtent ()
void | Execute (vtkImageData *data)
void | ExecuteInformation ()
## Protected Attributes
char * | FilePattern
int | WholeExtent [6]
int | NumberOfScalarComponents
int | ScalarType
int | Divisions [3]
int | Overlap
int * | XExtents
int * | YExtents
int * | ZExtents

## Member Typedef Documentation

typedef vtkImageSource vtkImageBlockReader::Superclass

| Reimplemented from vtkImageSource. Definition at line 50 of file vtkImageBlockReader.h.

## Constructor & Destructor Documentation

vtkImageBlockReader::vtkImageBlockReader | ( |  | ) | `[protected]`

vtkImageBlockReader::~vtkImageBlockReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageBlockReader* vtkImageBlockReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageBlockReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkImageBlockReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkImageBlockReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkImageBlockReader* vtkImageBlockReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkImageBlockReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

virtual void vtkImageBlockReader::SetDivisions | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| The whole extent is broken up into this many divisions along each axis.

virtual void vtkImageBlockReader::SetDivisions | ( | int | [3] | ) | `[virtual]`

| The whole extent is broken up into this many divisions along each axis.

virtual int* vtkImageBlockReader::GetDivisions | ( |  | ) | `[virtual]`

| The whole extent is broken up into this many divisions along each axis.

virtual void vtkImageBlockReader::GetDivisions | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| The whole extent is broken up into this many divisions along each axis.

virtual void vtkImageBlockReader::GetDivisions | ( | int | [3] | ) | `[virtual]`

| The whole extent is broken up into this many divisions along each axis.

virtual void vtkImageBlockReader::SetOverlap | ( | int |  | ) | `[virtual]`

| The number of points along any axis that belong to more than one piece.

virtual int vtkImageBlockReader::GetOverlap | ( |  | ) | `[virtual]`

| The number of points along any axis that belong to more than one piece.

virtual void vtkImageBlockReader::SetWholeExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Although this information could be gotten from the files, this is easy.

virtual void vtkImageBlockReader::SetWholeExtent | ( | int | [6] | ) | `[virtual]`

| Although this information could be gotten from the files, this is easy.

virtual int* vtkImageBlockReader::GetWholeExtent | ( |  | ) | `[virtual]`

| Although this information could be gotten from the files, this is easy.

virtual void vtkImageBlockReader::GetWholeExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Although this information could be gotten from the files, this is easy.

virtual void vtkImageBlockReader::GetWholeExtent | ( | int | [6] | ) | `[virtual]`

| Although this information could be gotten from the files, this is easy.

virtual void vtkImageBlockReader::SetNumberOfScalarComponents | ( | int |  | ) | `[virtual]`

| Although this information could be gotten from the files, this is easy.

virtual int vtkImageBlockReader::GetNumberOfScalarComponents | ( |  | ) | `[virtual]`

| Although this information could be gotten from the files, this is easy.

virtual void vtkImageBlockReader::SetScalarType | ( | int |  | ) | `[virtual]`

| Although this information could be gotten from the files, this is easy.

virtual int vtkImageBlockReader::GetScalarType | ( |  | ) | `[virtual]`

| Although this information could be gotten from the files, this is easy.

virtual void vtkImageBlockReader::SetFilePattern | ( | const char * |  | ) | `[virtual]`

| This printf pattern should take three integers, one for each axis.

virtual char* vtkImageBlockReader::GetFilePattern | ( |  | ) | `[virtual]`

| This printf pattern should take three integers, one for each axis.

void vtkImageBlockReader::Execute | ( | vtkImageData * | data | ) | `[protected, virtual]`

| Write the files. Reimplemented from vtkImageSource.

void vtkImageBlockReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Write the files. Reimplemented from vtkSource.

void vtkImageBlockReader::ComputeBlockExtents | ( |  | ) | `[protected]`

void vtkImageBlockReader::DeleteBlockExtents | ( |  | ) | `[protected]`

void vtkImageBlockReader::Read | ( | vtkImageData * | data,
|  | int * | ext
| ) | `[protected]`

void vtkImageBlockReader::ReadRemainder | ( | vtkImageData * | data,
|  | int * | ext,
|  | int * | doneExt
| ) | `[protected]`

void vtkImageBlockReader::ReadBlock | ( | int | xIdx,
|  | int | yIdx,
|  | int | zIdx,
|  | vtkImageData * | data,
|  | int * | ext
| ) | `[protected]`

void vtkImageBlockReader::ModifyOutputUpdateExtent | ( |  | ) | `[protected]`

| Generate more than requested. Called by the superclass before an execute, and before output memory is allocated.

## Member Data Documentation

char* vtkImageBlockReader::FilePattern`[protected]`

| Definition at line 100 of file vtkImageBlockReader.h.

int vtkImageBlockReader::WholeExtent[6]`[protected]`

| Definition at line 102 of file vtkImageBlockReader.h.

int vtkImageBlockReader::NumberOfScalarComponents`[protected]`

| Definition at line 103 of file vtkImageBlockReader.h.

int vtkImageBlockReader::ScalarType`[protected]`

| Definition at line 104 of file vtkImageBlockReader.h.

int vtkImageBlockReader::Divisions[3]`[protected]`

| Definition at line 105 of file vtkImageBlockReader.h.

int vtkImageBlockReader::Overlap`[protected]`

| Definition at line 106 of file vtkImageBlockReader.h.

int* vtkImageBlockReader::XExtents`[protected]`

| Definition at line 130 of file vtkImageBlockReader.h.

int* vtkImageBlockReader::YExtents`[protected]`

| Definition at line 131 of file vtkImageBlockReader.h.

int* vtkImageBlockReader::ZExtents`[protected]`

| Definition at line 132 of file vtkImageBlockReader.h.

The documentation for this class was generated from the following file:

- Parallel/vtkImageBlockReader.h